Workspace Members

  • GET
  • /workspaces
  • /:workspace
  • /members

Get all members in the workspace

Request

REQUIRED SCOPES
WORKSPACE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

GET PARAMETERS
pageinteger
The number of the successive pages (results are split into pages of per_page elements each).

Example: 1

per_pageinteger
Specifies the number of returned elements on the page. The default value is 20.

Example: 20

sort_bystring
Specifies ordering for workspace members. Can be one of id or name.

Example: "name"

sort_directionstring
Specifies the direction of the ordering. Can be one of ASC or DESC

Example: "ASC"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
membersWorkspaceMemberView[]

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/members" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-company/members", "html_url": "https://app.buddy.works/my-company/-/people", "members": [ { "url": "https://api.buddy.works/workspaces/my-company/members/216", "html_url": "https://app.buddy.works/my-company/-/profile/216", "id": 2, "name": "Leon", "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/2/1/6/0216e0eaead35ceec361a9eb6fc165ab/w/32/32/AVATAR.png", "email": "leon@example.com", "admin": false, "workspace_owner": false, "auto_assign_permission_set_id": 2 }, { "url": "https://api.buddy.works/workspaces/my-company/members/1", "html_url": "https://app.buddy.works/my-company/-/profile/1", "id": 1, "name": "John Doe", "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png", "email": "john@example.com", "admin": true, "workspace_owner": true, "auto_assign_permission_set_id": 1 } ] }
STATUS
200 OK